Subject: Re: Where can I get the source code for setup.exe
From: [email-masked]
To: [email-masked], [email-masked]
Cc: Dan Ch <[email-masked]>
Date: Wed, 26 Jan 2005 00:31:12 +0000

As near everyone in the know knew, it all seems to work fine. I've done a configure and make and executed the generated setup.exe once (thanks Dan). However, there was an error detected during execution which caused the program to abort. My next step is to (try to) make the code with debugging options on and to use a convenient debugger (gdb) to see what went wrong. Before there are angry comments, I absolutely know that I did something wrong. No way was my effort correct or crowned in rectitude. But the program should not have crashed, and that's what I'm going to be working on.

Thanks to all.

art
 -------------- Original message ----------------------
From: Dan Ch <[email-masked]>
> On Mon, 24 Jan 2005 [email-masked] wrote:
> > On Sun, 23 Jan 2005, Igor Pechtchanski wrote:
> > > On Sun, 23 Jan 2005, Dan Ch wrote:
> > > > The current version of setup.exe is 2.457.2.1 but the Cygwin
> > > > distribution contains version 2.427, i.e. setup installs the 2.427
> > > > source code instead of 2.457.2.1.
> > >
> > > See <http://sources.redhat.com/cygwin-apps/setup.html>.  The version
> > > of the executable is determined by the revision of ChangeLog.
> > > HTH,
> > >       Igor
> > Unfortunately Setup-2.427.1.1 did not compile
> > for me (missing files/classes).
> (snip)
> 
> Did you type "make setup.exe" instead of "make"?  "make setup.exe"
> caused a can't find zlib/libzcygw.a error but "make" without any
> arguments worked.
> 
> These are the commands I used to build setup.exe:
>    tar xvfjk setup-2.457.2.1.tar.bz2
>    cd setup-0
>    ./configure -C --disable-shared --host=i686-pc-mingw32
>          --build=i686-pc-cygwin CC="gcc -mno-cygwin"
>          CXX="g++ -mno-cygwin" --enable-maintainer-mode
>    make
>    strip setup.exe
>    upx setup.exe
> 
> The only non-base Cygwin components needed were "gcc-core" (version
> 3.3.3-3), "gcc-g++", and "make" as installing "gcc-core" usually
> installs gcc-mingw-core and w32api.  "make" built a 9,591,694 byte
> setup.exe.  "strip" reduced it to 809,472 bytes.  In order to reduce
> setup.exe to 264,192 bytes (instead of 281,600 bytes), the
> native Windows version of upx version 1.20 needs to be used
> instead of the Cygwin version.  It can be obtained
> from http://upx.sourceforge.net
> 
> A note for the setup.exe maintainer: Typing "upx --best setup.exe"
> instead of "upx setup.exe" will generate a 259,584 byte setup.exe
> file instead of a 264,192 byte file.  As mentioned above, the
> native Windows version of upx is required.
> 
> Another note for the setup.exe maintainer: The source code in
> the Cygwin distribution needs to be updated to version 2.457.2.1.
> 
> Dan Ch.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/